package com.mortals.xhx.module.design.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.design.model.vo.DesignMasterplateVo;
import lombok.Data;
/**
 * 模版管理实体对象
 *
 * @author zxfei
 * @date 2023-07-11
 */
@Data
public class DesignMasterplateEntity extends DesignMasterplateVo {
    private static final long serialVersionUID = 1L;

    /**
     * 模版名称
     */
    private String masterplateName;
    /**
     * 模版编码
     */
    private Integer masterplateCode;
    /**
     * 发布人
     */
    private Long customerId;
    /**
     * 发布人名称
     */
    private String customerName;
    /**
     * 模版描述
     */
    private String masterplateDesc;
    /**
     * 模版下载地址（相对地址）
     */
    private String masterplatePath;
    /**
     * 模版引用的图片
     */
    private String pictureIds;
    /**
     * 模版引用的素材
     */
    private String pictureSrcIds;
    /**
     * 模版引用的背景
     */
    private String pictureBackgroundIds;
    /**
     * 模版引用的字体
     */
    private String fontIds;
    /**
     * 模版被引用的次数。默认：0
     */
    private Integer masterplateUseNum;
    /**
     * 作品图片预览地址（相对地址）
     */
    private String previewUrl;
    /**
     * 设计草稿
     */
    private String draft;
    /**
     * 版式。1：横版2竖版默认：1
     */
    private Integer plateType;
    /**
     * 作品类型：1:图片，2:视频
     */
    private Integer designType;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DesignMasterplateEntity) {
            DesignMasterplateEntity tmp = (DesignMasterplateEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.masterplateName = "";

        this.masterplateCode = -1;

        this.customerId = -1L;

        this.customerName = "";

        this.masterplateDesc = "";

        this.masterplatePath = "";

        this.pictureIds = "";

        this.pictureSrcIds = "";

        this.pictureBackgroundIds = "";

        this.fontIds = "";

        this.masterplateUseNum = -1;

        this.previewUrl = "";

        this.draft = "";

        this.plateType = -1;

        this.designType = 1;
    }
}