package com.mortals.xhx.module.message.model;

import com.mortals.xhx.module.message.model.vo.MessageVo;

import java.util.Date;
/**
* 客户建议信息实体对象
*
* @author zxfei
* @date 2022-06-29
*/

public class MessageEntity extends MessageVo {
    private static final long serialVersionUID = 1L;

    /**
    * 消息标题
    */
    private String title;
    /**
    * 消息内容
    */
    private String content;
    /**
    * 发送方式1站内发送2短信发送3同时发送
    */
    private Integer sendMode;
    /**
    * 可见范围1所有人可见2VIP可见3普通用户可见
    */
    private Integer scope;
    /**
    * 发送状态0未发送1已发送
    */
    private Integer sendStatus;
    /**
    * 发送时间
    */
    private Date sendTime;
    /**
    * 创建用户名称
    */
    private String createUserName;
    /**
    * 消息类型1标题消息2动态消息
    */
    private Integer messageType;



    public MessageEntity(){}
    /**
    * 获取 消息标题
    * @return String
    */
    public String getTitle(){
        return title;
    }
    /**
    * 设置 消息标题
    * @param title
    */
    public void setTitle(String title){
        this.title = title;
    }
    /**
    * 获取 消息内容
    * @return String
    */
    public String getContent(){
        return content;
    }
    /**
    * 设置 消息内容
    * @param content
    */
    public void setContent(String content){
        this.content = content;
    }
    /**
    * 获取 发送方式1站内发送2短信发送3同时发送
    * @return Integer
    */
    public Integer getSendMode(){
        return sendMode;
    }
    /**
    * 设置 发送方式1站内发送2短信发送3同时发送
    * @param sendMode
    */
    public void setSendMode(Integer sendMode){
        this.sendMode = sendMode;
    }
    /**
    * 获取 可见范围1所有人可见2VIP可见3普通用户可见
    * @return Integer
    */
    public Integer getScope(){
        return scope;
    }
    /**
    * 设置 可见范围1所有人可见2VIP可见3普通用户可见
    * @param scope
    */
    public void setScope(Integer scope){
        this.scope = scope;
    }
    /**
    * 获取 发送状态0未发送1已发送
    * @return Integer
    */
    public Integer getSendStatus(){
        return sendStatus;
    }
    /**
    * 设置 发送状态0未发送1已发送
    * @param sendStatus
    */
    public void setSendStatus(Integer sendStatus){
        this.sendStatus = sendStatus;
    }
    /**
    * 获取 发送时间
    * @return Date
    */
    public Date getSendTime(){
        return sendTime;
    }
    /**
    * 设置 发送时间
    * @param sendTime
    */
    public void setSendTime(Date sendTime){
        this.sendTime = sendTime;
    }
    /**
    * 获取 创建用户名称
    * @return String
    */
    public String getCreateUserName(){
        return createUserName;
    }
    /**
    * 设置 创建用户名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName){
        this.createUserName = createUserName;
    }
    /**
    * 获取 消息类型1标题消息2动态消息
    * @return Integer
    */
    public Integer getMessageType(){
        return messageType;
    }
    /**
    * 设置 消息类型1标题消息2动态消息
    * @param messageType
    */
    public void setMessageType(Integer messageType){
        this.messageType = messageType;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MessageEntity) {
            MessageEntity tmp = (MessageEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",title:").append(getTitle());
        sb.append(",content:").append(getContent());
        sb.append(",sendMode:").append(getSendMode());
        sb.append(",scope:").append(getScope());
        sb.append(",sendStatus:").append(getSendStatus());
        sb.append(",sendTime:").append(getSendTime());
        sb.append(",createUserName:").append(getCreateUserName());
        sb.append(",messageType:").append(getMessageType());
        return sb.toString();
    }

    public void initAttrValue(){

            this.title = "";

            this.content = "";

            this.sendMode = 1;

            this.scope = 1;

            this.sendStatus = 0;

            this.sendTime = null;

            this.createUserName = "";

            this.messageType = 1;
    }
}